Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Tue, 3 Jul 2018 20:35:32 -0300

I've written this utility

   https://github.com/memeplex/maximal

that uses xlib to handle creation events and set the
_GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED for normal windows.

It comes with a few goodies: blacklist/whitelist, disable/resume, pip
installation, but nevertheless it's quite a humble script.

I mention it here because:

1. Someone reading this might want to get the feature before emacs 27.

2. Given that one can blacklist everything and whitelist just emacs,
it could be seen as a solution for this issue (although I understand
you might still want to implement it as a feature of emacs itself).